Bug 849722 (CVE-2012-3510)

Summary: CVE-2012-3510 kernel: taskstats: use-after-free in xacct_add_tsk()
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jneedle, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20061030,reported=20120820,source=researcher,cvss2=5.6/AV:L/AC:L/Au:N/C:P/I:N/A:C,rhel-5/kernel=affected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 08:54:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 849723, 849725    
Bug Blocks: 849727    

Description Petr Matousek 2012-08-20 13:16:24 EDT
An use-after-free flaw has been found in the way taskstat's TASKSTATS_CMD_ATTR_PID command and exiting tasks with already freed mm interacted. An unprivileged local user could use this flaw to crash the system or leak kernel memory.

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f0ec1aaf54caddd21c259aea8b2ecfbde4ee4fb9

References:
http://bugzilla.openvz.org/show_bug.cgi?id=2294

Acknowledgements:

Red Hat would like to thank Alexander Peslyak for reporting this issue.
Comment 2 Petr Matousek 2012-08-20 13:19:48 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red 
Hat Enterprise Linux 6 and Red Hat Enterprise MRG as they already contain 
upstream commit f0ec1aaf54cadd that fixed this issue.
Comment 3 errata-xmlrpc 2012-10-02 13:45:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1323 https://rhn.redhat.com/errata/RHSA-2012-1323.html